module gw_gao(
    Enc_sop_in,
    Enc_eop_in,
    Encoder_inpvalid,
    \din[7] ,
    \din[6] ,
    \din[5] ,
    \din[4] ,
    \din[3] ,
    \din[2] ,
    \din[1] ,
    \din[0] ,
    Enc_eop_out,
    Encoder_outvalid,
    \Encoder_data_out[7] ,
    \Encoder_data_out[6] ,
    \Encoder_data_out[5] ,
    \Encoder_data_out[4] ,
    \Encoder_data_out[3] ,
    \Encoder_data_out[2] ,
    \Encoder_data_out[1] ,
    \Encoder_data_out[0] ,
    \noise[7] ,
    \noise[6] ,
    \noise[5] ,
    \noise[4] ,
    \noise[3] ,
    \noise[2] ,
    \noise[1] ,
    \noise[0] ,
    \Decoder_data_in[7] ,
    \Decoder_data_in[6] ,
    \Decoder_data_in[5] ,
    \Decoder_data_in[4] ,
    \Decoder_data_in[3] ,
    \Decoder_data_in[2] ,
    \Decoder_data_in[1] ,
    \Decoder_data_in[0] ,
    sop_out,
    eop_out,
    Decoder_outvalid,
    \Decoder_data_out_d[7] ,
    \Decoder_data_out_d[6] ,
    \Decoder_data_out_d[5] ,
    \Decoder_data_out_d[4] ,
    \Decoder_data_out_d[3] ,
    \Decoder_data_out_d[2] ,
    \Decoder_data_out_d[1] ,
    \Decoder_data_out_d[0] ,
    SYM_CLK,
    tms_pad_i,
    tck_pad_i,
    tdi_pad_i,
    tdo_pad_o
);

input Enc_sop_in;
input Enc_eop_in;
input Encoder_inpvalid;
input \din[7] ;
input \din[6] ;
input \din[5] ;
input \din[4] ;
input \din[3] ;
input \din[2] ;
input \din[1] ;
input \din[0] ;
input Enc_eop_out;
input Encoder_outvalid;
input \Encoder_data_out[7] ;
input \Encoder_data_out[6] ;
input \Encoder_data_out[5] ;
input \Encoder_data_out[4] ;
input \Encoder_data_out[3] ;
input \Encoder_data_out[2] ;
input \Encoder_data_out[1] ;
input \Encoder_data_out[0] ;
input \noise[7] ;
input \noise[6] ;
input \noise[5] ;
input \noise[4] ;
input \noise[3] ;
input \noise[2] ;
input \noise[1] ;
input \noise[0] ;
input \Decoder_data_in[7] ;
input \Decoder_data_in[6] ;
input \Decoder_data_in[5] ;
input \Decoder_data_in[4] ;
input \Decoder_data_in[3] ;
input \Decoder_data_in[2] ;
input \Decoder_data_in[1] ;
input \Decoder_data_in[0] ;
input sop_out;
input eop_out;
input Decoder_outvalid;
input \Decoder_data_out_d[7] ;
input \Decoder_data_out_d[6] ;
input \Decoder_data_out_d[5] ;
input \Decoder_data_out_d[4] ;
input \Decoder_data_out_d[3] ;
input \Decoder_data_out_d[2] ;
input \Decoder_data_out_d[1] ;
input \Decoder_data_out_d[0] ;
input SYM_CLK;
input tms_pad_i;
input tck_pad_i;
input tdi_pad_i;
output tdo_pad_o;

wire Enc_sop_in;
wire Enc_eop_in;
wire Encoder_inpvalid;
wire \din[7] ;
wire \din[6] ;
wire \din[5] ;
wire \din[4] ;
wire \din[3] ;
wire \din[2] ;
wire \din[1] ;
wire \din[0] ;
wire Enc_eop_out;
wire Encoder_outvalid;
wire \Encoder_data_out[7] ;
wire \Encoder_data_out[6] ;
wire \Encoder_data_out[5] ;
wire \Encoder_data_out[4] ;
wire \Encoder_data_out[3] ;
wire \Encoder_data_out[2] ;
wire \Encoder_data_out[1] ;
wire \Encoder_data_out[0] ;
wire \noise[7] ;
wire \noise[6] ;
wire \noise[5] ;
wire \noise[4] ;
wire \noise[3] ;
wire \noise[2] ;
wire \noise[1] ;
wire \noise[0] ;
wire \Decoder_data_in[7] ;
wire \Decoder_data_in[6] ;
wire \Decoder_data_in[5] ;
wire \Decoder_data_in[4] ;
wire \Decoder_data_in[3] ;
wire \Decoder_data_in[2] ;
wire \Decoder_data_in[1] ;
wire \Decoder_data_in[0] ;
wire sop_out;
wire eop_out;
wire Decoder_outvalid;
wire \Decoder_data_out_d[7] ;
wire \Decoder_data_out_d[6] ;
wire \Decoder_data_out_d[5] ;
wire \Decoder_data_out_d[4] ;
wire \Decoder_data_out_d[3] ;
wire \Decoder_data_out_d[2] ;
wire \Decoder_data_out_d[1] ;
wire \Decoder_data_out_d[0] ;
wire SYM_CLK;
wire tms_pad_i;
wire tck_pad_i;
wire tdi_pad_i;
wire tdo_pad_o;
wire tms_i_c;
wire tck_i_c;
wire tdi_i_c;
wire tdo_o_c;
wire [9:0] control0;
wire gao_jtag_tck;
wire gao_jtag_reset;
wire run_test_idle_er1;
wire run_test_idle_er2;
wire shift_dr_capture_dr;
wire update_dr;
wire pause_dr;
wire enable_er1;
wire enable_er2;
wire gao_jtag_tdi;
wire tdo_er1;

IBUF tms_ibuf (
    .I(tms_pad_i),
    .O(tms_i_c)
);

IBUF tck_ibuf (
    .I(tck_pad_i),
    .O(tck_i_c)
);

IBUF tdi_ibuf (
    .I(tdi_pad_i),
    .O(tdi_i_c)
);

OBUF tdo_obuf (
    .I(tdo_o_c),
    .O(tdo_pad_o)
);

GW_JTAG  u_gw_jtag(
    .tms_pad_i(tms_i_c),
    .tck_pad_i(tck_i_c),
    .tdi_pad_i(tdi_i_c),
    .tdo_pad_o(tdo_o_c),
    .tck_o(gao_jtag_tck),
    .test_logic_reset_o(gao_jtag_reset),
    .run_test_idle_er1_o(run_test_idle_er1),
    .run_test_idle_er2_o(run_test_idle_er2),
    .shift_dr_capture_dr_o(shift_dr_capture_dr),
    .update_dr_o(update_dr),
    .pause_dr_o(pause_dr),
    .enable_er1_o(enable_er1),
    .enable_er2_o(enable_er2),
    .tdi_o(gao_jtag_tdi),
    .tdo_er1_i(tdo_er1),
    .tdo_er2_i(1'b0)
);

gw_con_top  u_icon_top(
    .tck_i(gao_jtag_tck),
    .tdi_i(gao_jtag_tdi),
    .tdo_o(tdo_er1),
    .rst_i(gao_jtag_reset),
    .control0(control0[9:0]),
    .enable_i(enable_er1),
    .shift_dr_capture_dr_i(shift_dr_capture_dr),
    .update_dr_i(update_dr)
);

ao_top_0  u_la0_top(
    .control(control0[9:0]),
    .trig0_i(Enc_sop_in),
    .data_i({Enc_sop_in,Enc_eop_in,Encoder_inpvalid,\din[7] ,\din[6] ,\din[5] ,\din[4] ,\din[3] ,\din[2] ,\din[1] ,\din[0] ,Enc_eop_out,Encoder_outvalid,\Encoder_data_out[7] ,\Encoder_data_out[6] ,\Encoder_data_out[5] ,\Encoder_data_out[4] ,\Encoder_data_out[3] ,\Encoder_data_out[2] ,\Encoder_data_out[1] ,\Encoder_data_out[0] ,\noise[7] ,\noise[6] ,\noise[5] ,\noise[4] ,\noise[3] ,\noise[2] ,\noise[1] ,\noise[0] ,\Decoder_data_in[7] ,\Decoder_data_in[6] ,\Decoder_data_in[5] ,\Decoder_data_in[4] ,\Decoder_data_in[3] ,\Decoder_data_in[2] ,\Decoder_data_in[1] ,\Decoder_data_in[0] ,sop_out,eop_out,Decoder_outvalid,\Decoder_data_out_d[7] ,\Decoder_data_out_d[6] ,\Decoder_data_out_d[5] ,\Decoder_data_out_d[4] ,\Decoder_data_out_d[3] ,\Decoder_data_out_d[2] ,\Decoder_data_out_d[1] ,\Decoder_data_out_d[0] }),
    .clk_i(SYM_CLK)
);

endmodule
