## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -novopt -incr -work work "../tb/prim_sim.v"
vlog -novopt -incr -work work "../tb/tb_mod.v"
vlog -novopt -incr -work work "../project/src/rs_encoder/rs_encoder.vo"
vlog -novopt -incr -work work "../project/src/rs_decoder/rs_decoder.vo"
vlog -novopt -incr -work work "../project/src/RS_exp.v"
#vlog -novopt -incr -work work "../project/impl/pnr/fpga_project.vo"


## part 3: sim design
vsim -novopt work.tb_mod

## part 4: add signals
add wave /tb_mod/*


## part 5: show ui 
view wave
view structure
view signals

## part 6: run 
run 800us

